{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZSAMPLE0017"
  },
  "caption" : "订单",
  "codeName" : "IBIZSample0017FormPickupView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0017FormPickupView.json",
  "funcViewMode" : "FORMPICKUPVIEW",
  "name" : "IBIZSample0017FormPickupView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "PickupView",
    "name" : "engine",
    "getPSUIEngineParams" : [ {
      "ctrlName" : "pickupviewpanel",
      "name" : "PICKUPVIEWPANEL",
      "paramType" : "CTRL"
    } ]
  } ],
  "getPSControls" : [ {
    "codeName" : "FormPickupViewpickupviewpanel",
    "controlType" : "PICKUPVIEWPANEL",
    "getEmbeddedPSAppDEView" : {
      "accUserMode" : 2,
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.IBIZSAMPLE0017"
      },
      "caption" : "订单",
      "codeName" : "IBIZSample0017FormPickupDataView",
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZSample0017FormPickupDataView.json",
      "mDCtrlActiveMode" : 2,
      "name" : "IBIZSample0017FormPickupDataView",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
      },
      "getPSAppViewEngines" : [ {
        "engineCat" : "VIEW",
        "engineType" : "FormPickupDataView",
        "name" : "engine",
        "getPSUIEngineParams" : [ {
          "ctrlName" : "dataview",
          "name" : "DATAVIEW",
          "paramType" : "CTRL"
        } ]
      } ],
      "getPSControls" : [ {
        "codeName" : "FormType",
        "controlType" : "DATAVIEW",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create"
        },
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017/PSDATAVIEWS/FormType.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch"
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load"
        },
        "groupMode" : "NONE",
        "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
        "logicName" : "表单选择数据视图",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchFormType"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "表单选择数据视图处理器"
        },
        "getPSControlLogics" : [ {
          "eventNames" : "SELECTIONCHANGE;LOAD",
          "logicTag" : "dataview",
          "logicType" : "APPVIEWENGINE",
          "name" : "engine_dataview",
          "getPSAppViewEngine" : {
            "modelref" : true,
            "id" : "engine"
          }
        } ],
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "DATAVIEW"
        },
        "getPSDEDataViewDataItems" : [ {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "IBIZSAMPLE0017ID",
            "codeName" : "IBIZSample0017Id"
          }
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "IBIZSAMPLE0017NAME",
            "codeName" : "IBIZSample0017Name"
          }
        } ],
        "pagingSize" : 1000,
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove"
        },
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update"
        },
        "hasWFDataItems" : false,
        "appendDEItems" : false,
        "enableCardEdit" : false,
        "enableCardEditGroup" : false,
        "enableCardEditOrder" : false,
        "enableCardNew" : false,
        "enableGroup" : false,
        "enablePagingBar" : false,
        "noSort" : false,
        "singleSelect" : false,
        "name" : "dataview",
        "modelid" : "0f805c21e267b297be33ec9523bd1ce5",
        "modeltype" : "PSDEDATAVIEW"
      } ],
      "getPSDEViewCodeName" : "FormPickupDataView",
      "getPSDEViewId" : "1b1f0e54e96194a69d5b0667fa481bb1",
      "getPSViewLayoutPanel" : {
        "codeName" : "Layoutpanel",
        "controlStyle" : "APPDEFORMPICKUPDATAVIEW",
        "controlType" : "VIEWLAYOUTPANEL",
        "name" : "layoutpanel",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
        },
        "getPSControlParam" : { },
        "layoutBodyOnly" : true,
        "layoutPanel" : true,
        "useDefaultLayout" : true
      },
      "title" : "订单表单选择数据视图",
      "getTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.IBIZSAMPLE0017.FORMPICKUPDATAVIEW"
      },
      "viewStyle" : "DEFAULT",
      "viewType" : "DEFORMPICKUPDATAVIEW",
      "xDataControlName" : "dataview",
      "enableDP" : true,
      "enableFilter" : false,
      "expandSearchForm" : true,
      "pickupMode" : true,
      "modelid" : "85b529630528468799b3e6551c92a56d",
      "modeltype" : "PSAPPDEVIEW"
    },
    "hookEventNames" : [ "SELECTIONCHANGE", "LOAD", "ACTIVATED" ],
    "name" : "pickupviewpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "SELECTIONCHANGE;LOAD;ACTIVATED",
      "logicTag" : "pickupviewpanel",
      "logicType" : "APPVIEWENGINE",
      "name" : "engine_pickupviewpanel",
      "getPSAppViewEngine" : {
        "modelref" : true,
        "id" : "engine"
      }
    } ],
    "getPSControlParam" : {
      "id" : "PICKUPVIEWPANEL"
    }
  } ],
  "getPSDEViewCodeName" : "FormPickupView",
  "getPSDEViewId" : "5664ec450065873ebb751fc4b25f4bde",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEPICKUPVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZSample0017.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "订单数据选择视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.IBIZSAMPLE0017.FORMPICKUPVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEPICKUPVIEW",
  "enableDP" : true,
  "showCaptionBar" : false,
  "modelid" : "45443caac5696a6ba3fea5567428f705",
  "modeltype" : "PSAPPDEVIEW"
}